In NY: (347)351-3031 In NJ: (201)645-1255

If, like many of our residential customers, you are a happy user of Kaspersky AntiVirus or Kaspersky Internet Security, we strongly advise that you do not update your Kaspersky version to 2016. There have been reports of a bug in Kaspersky that blocks you from saving favorites to Internet Explorer. While there are some some workarounds to this bug, we recommend staying with Kaspersky 2015 until the bug is resolved.

Kaspersky will not automatically install the latest version, so this should not be an issue unless you actively download and install the upgrade.

By the way, this has nothing to do with the virus definition updates, which should be allowed to update normally. This only applies to the version of the actual software, not to the software’s virus definitions. If you’re using Kaspersky 2015 or earlier just stick with it and you don’t have to worry.

Need some help?
Submit
Send us a message. We'll get back to you in a jiffy!